!  SUBROUTINE parsub_eq(xe2,xe3        &
!#ifdef key_substance
!                                      ,cv_wat &
!#endif
!                                      ,sv_part,niter,num_ws)

   !&E---------------------------------------------------------------------
   !&E                 ***  ROUTINE parsub_eq  ***
   !&E
   !&E ** Purpose : framework for the subroutine of tracers transport computation
   !&E
   !&E ** Description : see parsub_eq_wquick.h or parsub_eq_wcen.h
   !&E                  for different possibilities of subroutine body
   !&E
   !&E ** Called by : stepu, stepv
   !&E
   !&E ** External calls : parsub_eq_hm
   !&E
   !&E ** Used ij-arrays : xe2, xe3, u, v
   !&E
   !&E ** Modified variables :  cv_wat
   !&E
   !&E ** Reference :
   !&E
   !&E ** History :
   !&E       !  2010-03  (P. Douillet) substances with settling velocities
   !&E       !                         issued from tssub_eq
   !&E
   !&E---------------------------------------------------------------------
   !! * Modules used

   !! * Arguments

   !! * Local declarations

   !!----------------------------------------------------------------------
   !! * Executable part

#if defined key_siggen || defined key_gencoord
#include "parsub_eq_sig.h"
#else
#include "parsub_eq.h"
#endif



!  END SUBROUTINE parsub_eq
